Name:          opusfile
Version:       0.12
Release:       2mamba
Summary:       A high-level API for decoding and seeking within .opus files on disk or over http(s)
Group:         Applications/Multimedia
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/xiph/opusfile
Source:        https://github.com/xiph/opusfile.git/v%{version}/opusfile-%{version}.tar.bz2
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libogg-devel
BuildRequires: libopenssl-devel
BuildRequires: libopus-devel
## AUTOBUILDREQ-END
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
The opusfile and opusurl libraries provide a high-level API for decoding and seeking within .opus files on disk or over http(s).

%package -n lib%{name}
Group:         System/Libraries
Summary:       A high-level API for decoding and seeking within .opus files on disk or over http(s)

%description -n lib%{name}
The opusfile and opusurl libraries provide a high-level API for decoding and seeking within .opus files on disk or over http(s).
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n lib%{name}-devel
The opusfile and opusurl libraries provide a high-level API for decoding and seeking within .opus files on disk or over http(s).
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q
cat > package_version << _EOF
AUTO_UPDATE=no
PACKAGE_VERSION="%{version}"
_EOF

./autogen.sh

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libopusfile.so.*
%{_libdir}/libopusurl.so.*
%doc AUTHORS COPYING

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/opus
%{_includedir}/opus/opusfile.h
%{_libdir}/libopusfile.a
%{_libdir}/libopusfile.la
%{_libdir}/libopusfile.so
%{_libdir}/libopusurl.a
%{_libdir}/libopusurl.la
%{_libdir}/libopusurl.so
%{_libdir}/pkgconfig/opusfile.pc
%{_libdir}/pkgconfig/opusurl.pc
%dir %{_datadir}/doc/opusfile
%{_datadir}/doc/opusfile/AUTHORS
%{_datadir}/doc/opusfile/COPYING
%{_datadir}/doc/opusfile/README.md
%dir %{_datadir}/doc/opusfile/html
%{_datadir}/doc/opusfile/html/*
%doc README.md

%changelog
* Sun Jul 31 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 0.12-2mamba
- fix version in pkgconfig files

* Wed Jun 23 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 0.12-1mamba
- package created using the webbuild interface
